% maxminplot.m
%
% Plotting the chances of getting the wrong 'outcome'
% as measured with certain alphas.
%

% Bo Waggoner
% Created: Sun Apr 15 23:21:58 2012

%

close all;
clear all;

mu = 1.5;
sigma = 0.921954;

n_min = 2;
n_step = 2;
n_max = 200;
ns = n_min:n_step:n_max;

numalpha = 3;
alphalist = [0.2,0.5,0.8];

beta = [0.2,0.4,0.6,0.8,1,1.2,1.4,1.6,1.8,2,2.2,2.4,2.6,2.8,];

maxps = [0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,0.5,;0.4107,0.4107,0.3105,0.2265,0.1545,0.1061,0.0724,0.0496,0.0314,0.0222,0.0152,0.0095,0.0075,0.0058,;0.3566,0.3566,0.242,0.1547,0.0994,0.0639,0.0439,0.0308,0.0218,0.0161,0.0132,0.0105,0.009,0.0074,];

minps = [0.4218,0.4218,0.3454,0.282,0.2222,0.172,0.1302,0.0978,0.0679,0.0471,0.0318,0.0201,0.0123,0.0086,;0.3803,0.3803,0.2866,0.2044,0.1374,0.086,0.0498,0.0284,0.0141,0.0064,0.0026,0.0008,0.0002,0,;0,0,0,0,0,0,0,0,0,0,0,0,0,0,];

colors = {'k','b','r','g','m'};linesty = {'-*';'-o';'-+';'-.';'-s';'-^'};
skip = 3;

figure(1);
for i=1:numalpha,
    hnew = plot(beta(1:skip:end),maxps(i,1:skip:end),'-*','color',colors{i});
    hold on;
    legstr = strcat('maximum, \alpha = ',num2str(alphalist(i)));
    if i==1,
        legend(legstr);
    else
        [LEGH,OBJH,OUTH,OUTM] = legend;
        legend([OUTH;hnew],OUTM{:},legstr);
    end
end

for i=1:numalpha,
    hnew = plot(beta(1:skip:end),minps(i,1:skip:end),'-o','color',colors{i});
    hold on;
    legstr = strcat('minimum, \alpha = ',num2str(alphalist(i)));
    [LEGH,OBJH,OUTH,OUTM] = legend;
    legend([OUTH;hnew],OUTM{:},legstr);
    end
axis([0 beta(end) 0 1]);

xlabel('\beta');
ylabel('max Pr[margin of victory \geq \beta]');